# Class MetaData

MetaData Class

- Defined in packages/saltcorn-data/models/metadata.ts:22

##### Index

### Constructors

constructor

### Properties

body
id?
name
type
user_id?
written_at

### Accessors

toJson

### Methods

delete
update
count
create
find
findOne

## Constructors

### constructor

- new MetaData(o: MetaData | MetaDataCfg): MetaData

  MetaData constructor

  #### Parameters

  - o: MetaData | MetaDataCfg

  #### Returns MetaData

  - Defined in packages/saltcorn-data/models/metadata.ts:34

## Properties

### body

body: GenObj

- Defined in packages/saltcorn-data/models/metadata.ts:27

### `Optional` id

id?: number

- Defined in packages/saltcorn-data/models/metadata.ts:23

### name

name: string

- Defined in packages/saltcorn-data/models/metadata.ts:24

### type

type: string

- Defined in packages/saltcorn-data/models/metadata.ts:25

### `Optional` user_id

user_id?: number

- Defined in packages/saltcorn-data/models/metadata.ts:26

### written_at

written_at: Date

- Defined in packages/saltcorn-data/models/metadata.ts:28

## Accessors

### toJson

- get toJson(): any

  #### Returns any

  - Defined in packages/saltcorn-data/models/metadata.ts:59

## Methods

### delete

- delete(): Promise<void>

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/metadata.ts:93

### update

- update(changes?: Row): Promise<void>

  #### Parameters

  - `Optional` changes: Row

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/metadata.ts:100

### `Static` count

- count(where?: Where): Promise<number>

  #### Parameters

  - `Optional` where: Where

  #### Returns Promise<number>

  - Defined in packages/saltcorn-data/models/metadata.ts:111

### `Static` create

- create(run_in: MetaDataCfg): Promise<MetaData>

  #### Parameters

  - run_in: MetaDataCfg

  #### Returns Promise<MetaData>

  - Defined in packages/saltcorn-data/models/metadata.ts:49

### `Static` find

- find(where: Where, selectopts?: SelectOptions): Promise<MetaData[]>

  #### Parameters

  - where: Where
  - `Optional` selectopts: SelectOptions

  #### Returns Promise<MetaData[]>

  - Defined in packages/saltcorn-data/models/metadata.ts:69

### `Static` findOne

- findOne(where: Where): Promise<MetaData>

  #### Parameters

  - where: Where

  #### Returns Promise<MetaData>

  - Defined in packages/saltcorn-data/models/metadata.ts:81